From c1def510347f4d45da696a612d04d3fa3917fcd4 Mon Sep 17 00:00:00 2001
From: yuelongguang <yuelongguang@le.com>
Date: Thu, 16 Jun 2016 19:20:24 +0800
Subject: [PATCH] add help document relevant to default mapping of credentials
 to machines

* src/util/virauthconfig.c
---
 docs/auth.html.in | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

diff --git a/docs/auth.html.in b/docs/auth.html.in
index 37f2978..bdd5fc2 100644
--- a/docs/auth.html.in
+++ b/docs/auth.html.in
@@ -76,7 +76,11 @@ password=letmein
 
 [credentials-dev]
 username=joe
-password=hello</pre>
+password=hello
+
+[credentials-defgrp]
+username=defuser
+password=defpw</pre>
 
     <p>
       The second set of groups provide mappings of credentials to
@@ -90,7 +94,8 @@ credentials=$CREDENTIALS</pre>
 
     <p>
       For example, following the previous example, here is how to
-      list some machines
+      map some machines. For convenience libvirt supports default mapping 
+      of credentials to machines:
     </p>
 
     <pre>
@@ -106,8 +111,15 @@ credentials=test
 [auth-libvirt-prod1.example.com]
 credentials=prod
 
+[auth-libvirt-default]
+credentials=defgrp
+
 [auth-esx-dev1.example.com]
-credentials=dev</pre>
+credentials=dev
+
+[auth-esx-default]
+credentials=defgrp</pre>
+
 
     <p>
       The following service types are known to libvirt
-- 
1.8.3.1

